<div class="col-md-8 col-md-offset-2">
    <form [formGroup]="myForm" (ngSubmit)="onSubmit()">
        <div class="form-group">
            <label for="name">Nombres</label>
            <input
                    type="text"
                    id="name"
                    class="form-control"
                    formControlName="name"
                    required>
        </div>
        <div class="form-group">
            <label for="lastname">Apellidos</label>
            <input
                    type="text"
                    id="lastname"
                    class="form-control"
                    formControlName="lastName"
                    required>
        </div>
        <div class="form-group">
            <label for="age">Edad</label>
            <input
                    type="number"
                    id="age"
                    class="form-control"
                    formControlName="age">
        </div>
        <div class="form-group">
            <label for="email">Email</label>
            <input
                    type="email"
                    id="email"
                    class="form-control"
                    formControlName="email">
        </div>
        <div class="form-group">
            <label for="address">Dirección</label>
            <input
                    type="text"
                    id="address"
                    class="form-control"
                    formControlName="address">
        </div>
        <button type="button" class="btn btn-danger" (click)="onClear()">Limpiar</button>
        <button
                class="btn btn-primary"
                type="submit"
                [disabled]="!myForm.valid">Salvar</button>
    </form>
</div>